@import 'assets/variables.scss';

.root {
  display: flex;
  justify-content: space-between;
}

.topSec {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: $cell * 6 !important;
}

.backAndTitle {
  display: flex;
  align-items: center;
  margin-left: $cell * 5;
  margin-top: $cell * 6;

  .backWrap {
    cursor: pointer;
    margin-right: $cell * 2;
    padding: $cell * 1;
    background-color: $dark-grey-highlight;

    &:hover {
        background-color: $mid-grey;
    }
  }

  .backIcon {
    color: white;
    font-size: 1.2em !important;
  }

  .title {
    margin: 0;
    font-family: $default-font-family;
    font-size: 1.4rem;
    font-weight: bold;
    background-color: transparent;
    width: fit-content;
    outline: 0;
    border-width: 0 0 1px;
    border-color: transparent;

    &:focus {
      border-color: $soft-grey;
    }
  }
}

.lhsWrap {
  width: 100%;
  max-width: 1050px;
}

.selectionWrap {
  width: 100%;
}

.queryWrap {
  margin: $cell * 4 0 $cell * 4 $cell * 5;
  display: flex;

  .search {
    width: 30rem;
    margin-right: $cell * 2;

    >input {
      &:focus {
        border-color: $primary-light !important;
      }
    }
  }
}

.table {
  padding-left: $cell * 4;
  width: 100%;
}

.summaryWrap {
  background-color: $pale-background;
  width: 100%;
  box-shadow: $card-resting-shadow;
  margin-left: $cell * 5;
  max-width: 500px;
  height: 100vh;
}
